.product-detail__additional {
    border-block-start: 1px solid rgba(var(--color-text), 0.08);
    border-block-end: 1px solid rgba(var(--color-text), 0.08);
}

.product-detail__additional+.product-detail__additional {
    margin-block-start: calc(-1 * var(--info-row-gap));
    border-block-start: none;
}

.product-detail__additional .additional__trigger {
    display: flex;
    gap: 15px;
    align-items: center;
    padding: 15px 0;
    padding-inline-end: 15px;
}

.product-detail__additional .additional__icon {
    width: 24px;
    height: 24px;
}

.product-detail__additional .additional__title {
    flex: 1 0 0;
}

.product-detail__additional .additional__content {
    padding: 0 5px;
    overflow: hidden;
}

.product-detail__additional .additional__content::after {
    display: block;
    height: 15px;
    content: "";
}

.product-detail__additional .additional__arrow {
    transition: transform 200ms;
}

.product-detail [open] .additional__arrow {
    transform: rotate(180deg);
}

.product-detail__breadcrumb-item {
    display: flex;
    gap: var(--breadcrumb-column-gap);
    align-items: center;
    color: rgb(var(--color-text));
}

.product-detail__breadcrumb-item:not(:last-child)::after {
    display: inline;
    content: "/";
}

.product-detail__breadcrumb-item:last-child {
    color: rgb(var(--color-light-text));
}

.product-detail__breadcrumb-item a {
    display: block;
}

.product-detail__dividing-line {
    display: block;
    width: 100%;
    height: var(--product-detail-desktop-dividing-line-height, 1px);
    background: var(--product-detail-dividing-line-color);
}

@media (max-width: 959px) {
    .product-detail__dividing-line {
        width: calc(100% + 2 * var(--product-detail-dividing-line-padding-inline));
        height: var(--product-detail-dividing-line-height);
        margin-inline: calc(-1 * var(--product-detail-dividing-line-padding-inline));
    }
}

.product-detail__popup-main .modal__content {
    --modal-animation-name: animation-fade-in-center;

    inset-block: 60px auto;
    width: calc(100% - var(--page-padding) * 2);
    height: 60%;
    max-height: 380px;
    overflow: hidden;
}

@media (min-width: 960px) {
    .product-detail__popup-main .modal__content {
        width: 90%;
        max-width: 1200px;
        height: calc(100% - 120px);
        max-height: unset;
    }
}

.product-detail__popup-main .popup__trigger {
    display: flex;
    gap: 15px;
    align-items: center;
}

.product-detail__popup-main .popup__title {
    margin-block-end: 20px;
}

.product-detail__popup-main .popup__content {
    width: 100%;
    height: 100%;
    padding: 20px;
    overflow: auto;
}

@media (min-width: 960px) {
    .product-detail__popup-main .popup__content {
        padding: 40px;
    }
}

.product-detail__price {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.product-detail__quantity-selector .quantity-selector__input {
    width: 126px;
}

.product-detail__quantity-selector .quantity-selector__rules span+span::before {
    content: " + ";
}

.product-detail__quantity-selector--full .product-detail__row--direction-column .quantity-selector__input {
    width: 100%;
}

.product-detail__quantity-selector--half .product-detail__row--direction-row {
    justify-content: flex-start;
}

.product-detail__sell-info {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: start;
    padding: 0;
    margin: 0;
    list-style: none;
}

.product-detail__sell-info .sell-info {
    display: flex;
    gap: 15px;
    align-items: center;
}

.product-detail__sell-info .sell-info__icon {
    width: 24px;
    height: 24px;
    object-fit: contain;
}

.product-detail__sell-info .sell-info__text {
    flex: 1 0 0;
    margin: 0;
}

.product-detail__sell-info--horizontal {
    --sell-info-gap: 20px;

    flex-flow: row wrap;
    gap: var(--sell-info-gap);
}

.product-detail__sell-info--horizontal .sell-info {
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    width: calc((100% - (var(--sell-info-column) - 1) * var(--sell-info-gap)) / var(--sell-info-column));
    overflow: hidden;
    text-align: center;
}

@media (max-width: 959px) {
    .product-detail__sell-info--horizontal .sell-info {
        gap: 6px;
    }
}

.product-detail__variant-picker {
    --border-thickness: var(--variant-selector-border-thickness);
    --border-color: rgba(var(--color-text), var(--variant-selector-border-opacity));
    --button-padding-block: 8px;
    --button-padding-inline: 20px;

    display: flex;
    flex-direction: column;
    gap: var(--info-row-gap);
}

.product-detail__variant-picker .variant-picker__group {
    display: contents;
    padding: 0;
    margin: 0;
    border: none;
}

.product-detail__variant-picker .variant-picker__group-label {
    padding: 0;
}

.product-detail__variant-picker .variant-picker__options {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    width: 100%;
}

.product-detail__variant-picker .variant-picker__button {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: var(--button-padding-block) var(--button-padding-inline);
    cursor: pointer;
}

.product-detail__variant-picker .variant-picker__button--image {
    --image-size: calc(var(--sort-body-line-height) * 1em + var(--button-padding-block) * 2);

    width: var(--image-size);
    height: var(--image-size);
    padding: 2px;
}

.product-detail__variant-picker .variant-picker__button--swatch {
    --swatch-size: calc(var(--sort-body-line-height) * 1em + var(--button-padding-block) * 2);

    display: flex;
    width: var(--swatch-size);
    height: var(--swatch-size);
    padding: 2px;
    border-radius: var(--variant-selector-border-radius);
}

.product-detail__variant-picker .variant-picker__button--swatch-square {
    --variant-selector-border-radius: 0px;
}

.product-detail__variant-picker .variant-picker__button--swatch-circle {
    --variant-selector-border-radius: 50%;
}

.product-detail__variant-picker .variant-picker__button--swatch-round-corner {
    --variant-selector-border-radius: 8px;
}

.product-detail__variant-picker .variant-picker__button::before,
.product-detail__variant-picker .variant-picker__button::after {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    z-index: 1;
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    border-radius: var(--variant-selector-border-radius);
}

.product-detail__variant-picker .variant-picker__button::before {
    box-shadow: var(--variant-selector-shadow-offset-x) var(--variant-selector-shadow-offset-y) var(--variant-selector-shadow-blur) rgba(var(--color-text), var(--variant-selector-shadow-opacity));
}

.product-detail__variant-picker .variant-picker__button::after {
    box-shadow: 0 0 0 var(--border-thickness) var(--border-color);
    transition: box-shadow 0.2s;
}

.product-detail__variant-picker .variant-picker__button:hover {
    --border-thickness: calc(var(--variant-selector-border-thickness, 0px) + 1px);
}

.product-detail__variant-picker .variant-picker__swatch-inner {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: var(--variant-selector-border-radius);
}

.product-detail__variant-picker .variant-picker__swatch-inner::before,
.product-detail__variant-picker .variant-picker__swatch-inner::after {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    display: block;
    width: 100%;
    height: 100%;
    content: "";
}

.product-detail__variant-picker .variant-picker__swatch-inner::before {
    background-image: var(--swatch-background-default-image);
    background-repeat: repeat;
    background-position: center;
    background-size: 16px;
}

.product-detail__variant-picker .variant-picker__swatch-inner::after {
    background-color: var(--swatch-background-color, transparent);
}

.product-detail__variant-picker .variant-picker__select {
    min-width: 120px;
}

.product-detail__variant-picker .variant-picker__image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: var(--variant-selector-border-radius);
}

.product-detail__variant-picker .variant-picker__select-option {
    display: flex;
    gap: 8px;
    align-items: center;
}

.product-detail__variant-picker .variant-picker__select-option .variant-picker__image {
    --image-size: calc(var(--sort-body-line-height) * 1em + var(--padding-block));

    width: var(--image-size);
    height: var(--image-size);
}

.product-detail__variant-picker .variant-picker__select-option .variant-picker__label {
    flex: 1 0 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.product-detail__variant-picker .variant-picker__option {
    position: relative;
    display: inline-flex;
}

.product-detail__variant-picker .variant-picker__options input[type="radio"] {
    position: absolute;
    z-index: -1;
    width: 0;
    height: 0;
    overflow: hidden;
    opacity: 0;
}

.product-detail__variant-picker .variant-picker__options input[type="radio"]:checked+* {
    --border-thickness: calc(var(--variant-selector-border-thickness, 0px) + 1px);
    --border-color: rgb(var(--color-text));
}

.product-detail__variant-picker .variant-picker__option.disabled::after {
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    width: calc(var(--sort-body-line-height) * 1em + var(--button-padding-block) * 2);
    height: 1px;
    content: "";
    background-color: rgba(var(--color-text), 0.2);
    transform: translate(-50%, -50%) rotate(-45deg);
}

.product-detail__variant-picker .variant-picker__option.disabled .variant-picker__button {
    color: rgba(var(--color-text), 0.2);
}

.product-detail__variant-picker .variant-picker__option.disabled .variant-picker__image,
.product-detail__variant-picker .variant-picker__option.disabled .variant-picker__swatch-inner {
    opacity: 0.4;
}

.product-detail__variant-picker[data-variant-size="0"] {
    display: none;
}

.product-detail__variant-picker[data-size="small"] .variant-picker__button {
    --button-padding-block: 0px;
}

.product-detail__variant-picker[data-size="large"] .variant-picker__button {
    --button-padding-block: 12px;
}

.product-detail__media-gallery {
    --padding-inline-start: calc(var(--detail-padding-inline-start, 0px) + var(--page-padding, 0px));
    --padding-inline-end: calc(var(--detail-padding-inline-end, 0px) + var(--page-padding, 0px));
    --aspect-ratio: var(--desktop-aspect-ratio);
    --image-fill-type: var(--desktop-image-fill-type);
    --gap: 20px;
    --thumbnail-gap: 20px;

    display: block;
    overflow: hidden;
}

@media (max-width: 959px) {
    .product-detail__media-gallery {
        width: calc(100% + var(--padding-inline-start) + var(--padding-inline-end));
        margin-inline: calc(-1 * var(--padding-inline-start)) calc(-1 * var(--padding-inline-end));

        --aspect-ratio: var(--mobile-aspect-ratio);
        --image-fill-type: var(--mobile-image-fill-type);
        --thumbnail-gap: 10px;
        --gap: 5px;
    }
}

.product-detail__media-gallery .media-gallery__placeholder {
    width: 100%;
    cursor: default;
    background-color: rgb(var(--color-image-background));
}

.product-detail__media-gallery .media-gallery__placeholder svg {
    width: 100%;
    height: 100%;
}

.product-detail__media-gallery .media-gallery__content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    width: 100%;
}

.product-detail__media-gallery .media-gallery__list-wrapper {
    position: relative;
    width: 100%;
}

.product-detail__media-gallery .media-gallery__sticky-wrapper {
    display: none;
}

.product-detail__media-gallery .media-gallery__list {
    gap: var(--gap, 0);
    align-items: center;
    width: 100%;
    padding: 0;
    margin: 0;
    overflow-y: hidden;
    list-style: none;
}

@media (min-width: 960px) {
    .product-detail__media-gallery .media-gallery__list {
        scroll-behavior: auto;
    }
}

.product-detail__media-gallery .media-gallery__list::before {
    display: block;
    flex-shrink: 0;
    width: 100%;
    height: auto;
    aspect-ratio: var(--desktop-placeholder-aspect-ratio);
    content: "";
}

@media (max-width: 959px) {
    .product-detail__media-gallery .media-gallery__list::before {
        aspect-ratio: var(--mobile-placeholder-aspect-ratio);
    }
}

.product-detail__media-gallery .media-gallery__preview-icon {
    position: absolute;
    inset-block-end: 20px;
    inset-inline-end: 20px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 10%;
    min-width: 30px;
    max-width: 60px;
    pointer-events: none;
    transition: opacity 0.2s;
}

@media (min-width: 960px) {
    .product-detail__media-gallery .media-gallery__preview-icon {
        opacity: 0;
    }
}

@media (max-width: 959px) {
    .product-detail__media-gallery .media-gallery__preview-icon {
        inset-block-end: 10px;
        inset-inline-end: 10px;
    }
}

.product-detail__media-gallery .media-gallery__preview-icon .icon {
    width: 100%;
    height: 100%;
    color: rgb(var(--color-text));
}

.product-detail__media-gallery .media-gallery__preview-icon .icon circle {
    fill: rgb(var(--color-background));
}

.product-detail__media-gallery .media-gallery__item {
    display: none;
    align-items: center;
    width: 100%;
    overflow: hidden;
    cursor: zoom-in;
}

.product-detail__media-gallery .media-gallery__item:hover .media-gallery__preview-icon {
    opacity: 1;
}

@media (max-width: 959px) {
    .product-detail__media-gallery .media-gallery__item:not([data-media-type="video"], [data-media-type="external_video"]) .media-gallery__media::after {
        position: absolute;
        inset-block-start: 0;
        inset-inline-start: 0;
        z-index: 2;
        display: block;
        width: 100%;
        height: 100%;
        content: "";
        opacity: 0;
    }
}

.product-detail__media-gallery .media-gallery__media {
    position: relative;
    width: 100%;
    overflow: hidden;
    background-color: rgb(var(--color-image-background));
}

.product-detail__media-gallery .media-gallery__image {
    display: block;
    width: 100%;
    height: auto;
    object-fit: var(--image-fill-type);
}

.product-detail__media-gallery .media-gallery__video[data-loaded]+.media-gallery__preview-icon {
    display: none;
}

@media (max-width: 959px) {
    .product-detail__media-gallery .media-gallery__video+.media-gallery__preview-icon {
        display: none;
    }

    .product-detail__media-gallery .media-gallery__video .theme-video-media__play-button {
        inset-block-start: unset;
        inset-block-end: 20px;
        inset-inline-start: unset;
        inset-inline-end: 20px;
        width: 10%;
        min-width: 30px;
        max-width: 60px;
        transform: none;
    }
}

.product-detail__media-gallery .media-gallery__arrows {
    display: flex;
    gap: 14px;
    align-items: center;
}

.product-detail__media-gallery .media-gallery__arrow {
    display: flex;
    align-items: center;
    padding: 4px;
    line-height: 1;
    cursor: pointer;
    background: none;
    border: none;
}

.product-detail__media-gallery .media-gallery__arrow .icon {
    width: 12px;
    height: 12px;
}

.product-detail__media-gallery .media-gallery__arrow[name="previous"] .icon {
    transform: rotate(90deg);
}

.product-detail__media-gallery .media-gallery__arrow[name="next"] .icon {
    transform: rotate(-90deg);
}

.product-detail__media-gallery .media-gallery__arrow:disabled {
    cursor: not-allowed;
}

.product-detail__media-gallery .media-gallery__status {
    display: flex;
    align-items: center;
    line-height: 1;
}

.product-detail__media-gallery .media-gallery__pagination {
    padding: 2px 0;
}

.product-detail__media-gallery .media-gallery__indicator {
    display: contents;
}

.product-detail__media-gallery .media-gallery__thumbnails {
    position: relative;
    display: block;
    width: 100%;
    padding: 0 26px;
}

.product-detail__media-gallery .media-gallery__thumbnail-list {
    gap: var(--thumbnail-gap, 0);
    width: 100%;
}

.product-detail__media-gallery .media-gallery__thumbnail {
    position: relative;
    width: var(--desktop-thumbnail-size);
    aspect-ratio: 1;
    padding: 0;
    background-color: rgb(var(--color-image-background));
    border: none;
    outline: none;
}

@media (max-width: 959px) {
    .product-detail__media-gallery .media-gallery__thumbnail {
        width: var(--mobile-thumbnail-size);
    }
}

.product-detail__media-gallery .media-gallery__thumbnail::after {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    display: block;
    width: 100%;
    height: 100%;
    cursor: pointer;
    content: "";
    box-shadow: inset 0 0 0 var(--border-thickness, 0) rgb(var(--color-text));
    transition: box-shadow 0.2s;
}

.product-detail__media-gallery .media-gallery__thumbnail:hover,
.product-detail__media-gallery .media-gallery__thumbnail:focus,
.product-detail__media-gallery .media-gallery__thumbnail.is-select {
    --border-thickness: 2px;
}

.product-detail__media-gallery .media-gallery__thumbnail-image {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: var(--image-fill-type);
}

.product-detail__media-gallery .media-gallery__thumbnail-arrows button[name="previous"],
.product-detail__media-gallery .media-gallery__thumbnail-arrows button[name="next"] {
    position: absolute;
    inset-block-start: 50%;
    transform: translate(-50%, -50%);
}

.product-detail__media-gallery .media-gallery__thumbnail-arrows button[name="previous"] {
    inset-inline-start: 10px;
}

.product-detail__media-gallery .media-gallery__thumbnail-arrows button[name="next"] {
    inset-inline-start: calc(100% - 10px);
}

.product-detail__media-gallery .media-gallery__thumbnail-play-icon {
    position: absolute;
    inset-block-start: 10px;
    inset-inline-end: 10px;
    width: 22px;
    height: 22px;
    color: rgb(var(--color-text));
    border-radius: 50%;
}

.product-detail__media-gallery .media-gallery__thumbnail-play-icon circle {
    fill: rgb(var(--color-background));
}

.product-detail__media-gallery[data-init="true"] .media-gallery__item,
.product-detail__media-gallery .media-gallery__item.is-active {
    display: flex;
}

.product-detail__media-gallery[data-init="true"] .media-gallery__list::before {
    display: none;
}

.product-detail__media-gallery[data-disabled-preview="true"] .media-gallery__item {
    cursor: default;
}

.product-detail__media-gallery[data-disabled-preview="true"] .media-gallery__preview-icon {
    display: none;
}

@media (min-width: 960px) {
    .product-detail__media-gallery:not([data-desktop-aspect-ratio="original"]) .media-gallery__image {
        aspect-ratio: var(--aspect-ratio);
    }
}

@media (max-width: 959px) {
    .product-detail__media-gallery:not([data-mobile-aspect-ratio="original"]) .media-gallery__image {
        aspect-ratio: var(--aspect-ratio);
    }
}

@media (min-width: 960px) {

    .product-detail__media-gallery .media-gallery__dots,
    .product-detail__media-gallery .media-gallery__arrows,
    .product-detail__media-gallery .media-gallery__progress,
    .product-detail__media-gallery .media-gallery__pagination {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"] .media-gallery__list,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"] .media-gallery__list {
        aspect-ratio: var(--aspect-ratio);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"] .media-gallery__item {
        height: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-aspect-ratio="original"] .media-gallery__content,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-aspect-ratio="original"] .media-gallery__content {
        --aspect-ratio: var(--current-media-aspect-ratio);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__content,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__content {
        flex-direction: row;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__list-wrapper,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__list-wrapper {
        flex: 1 0 0;
        overflow: hidden;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnails,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnails {
        position: relative;
        flex-shrink: 0;
        align-self: stretch;
        order: -1;
        width: var(--desktop-thumbnail-size);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-list,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-list {
        position: absolute;
        inset-block-start: 0;
        inset-inline-start: 0;
        flex-wrap: nowrap;
        width: 100%;
        height: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail {
        width: 100%;
        overflow: hidden;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="previous"],
    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="next"],
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="previous"],
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="next"] {
        position: absolute;
        inset-inline-start: 50%;
        transform: translate(-50%, -50%);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="previous"],
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="previous"] {
        inset-block-start: 10px;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="next"],
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-arrows button[name="next"] {
        inset-block-start: calc(100% - 10px);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__arrow[name="previous"] .icon,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__arrow[name="previous"] .icon {
        transform: rotate(180deg);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"][data-desktop-thumbnail-position="beside"] .media-gallery__arrow[name="next"] .icon,
    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__arrow[name="next"] .icon {
        transform: rotate(0deg);
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"] .media-gallery__thumbnails {
        flex-wrap: wrap;
        padding: 0;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-flatten"] .media-gallery__thumbnail-arrows {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnails {
        padding: 26px 0;
    }

    .product-detail__media-gallery[data-desktop-layout="thumbnail-carousel"][data-desktop-thumbnail-position="beside"] .media-gallery__thumbnail-list {
        inset-block-start: 26px;
        height: calc(100% - 26px * 2);
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__sticky-wrapper {
        align-items: flex-start;
        width: calc((100% - var(--gap, 0)) / 2);
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"][data-media-total="1"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="two-columns"][data-media-total="1"] .media-gallery__sticky-wrapper {
        width: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__sticky-wrapper {
        width: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__list-wrapper {
        display: flex;
        flex-wrap: wrap;
        gap: var(--gap, 0);
    }

    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__item {
        align-items: flex-start;
        width: calc((100% - var(--gap, 0)) / 2);
    }

    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__sticky-wrapper {
        width: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__list-wrapper,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__list-wrapper,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__list-wrapper {
        display: flex;
        flex-wrap: wrap;
        gap: var(--gap, 0);
        align-items: flex-start;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__sticky-wrapper,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__sticky-wrapper,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__sticky-wrapper {
        display: block;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__sticky-wrapper .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__sticky-wrapper .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__sticky-wrapper .media-gallery__item {
        display: flex;
        width: 100%;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__list,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__list,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__list {
        display: contents;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__list::before,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__list::before,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__list::before {
        content: unset;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__list .is-select,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__list .is-select,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__list .is-select {
        display: none;
    }

    .product-detail__media-gallery[data-desktop-layout="two-columns"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="flatten"] .media-gallery__item,
    .product-detail__media-gallery[data-desktop-layout="stacked"] .media-gallery__item {
        display: flex;
    }
}

@media (max-width: 959px) {
    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"] .media-gallery__indicator {
        position: absolute;
        inset-block-end: 0;
        inset-inline-start: 0;
        z-index: 3;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        pointer-events: none;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"] .media-gallery__dots,
    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"] .media-gallery__arrows,
    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"] .media-gallery__pagination {
        margin-block: 8px;
        pointer-events: auto;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"] .media-gallery__arrows {
        gap: 0;
        height: 26px;
        background-color: rgba(var(--color-background), 0.8);
        border-radius: 13px;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"][data-mobile-switch-style="dot"] .media-gallery__indicator,
    .product-detail__media-gallery:not([data-mobile-switch-style="hide"])[data-mobile-switch-position="inner"][data-mobile-switch-style="slider-bar"] .media-gallery__indicator {
        background: linear-gradient(0deg, rgba(var(--color-background), 0.8) 0%, rgba(var(--color-background), 0) 100%);
        background-clip: content-box;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="number"]) .media-gallery__arrows {
        display: none;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="progress"]) .media-gallery__progress {
        display: none;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="dot"]) .media-gallery__dots {
        display: none;
    }

    .product-detail__media-gallery:not([data-mobile-switch-style="slider-bar"]) .media-gallery__pagination {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"] .media-gallery__list {
        padding: 0 var(--padding-inline-start);
        scroll-padding-left: var(--padding-inline-start);
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"] .media-gallery__item,
    .product-detail__media-gallery[data-mobile-layout="two-columns"] .media-gallery__list::before {
        width: calc((100% - var(--gap, 0px) * 2) / 2.3);
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"]:not([data-media-total="1"]) .media-gallery__progress::before {
        width: calc(100% / (var(--indicator-size) - 1) * calc(var(--current-index) + 1));
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"]:not([data-media-total="1"]) .media-gallery__dots>*:last-child,
    .product-detail__media-gallery[data-mobile-layout="two-columns"]:not([data-media-total="1"]) .media-gallery__pagination>*:last-child {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"][data-media-total="1"] .media-gallery__item,
    .product-detail__media-gallery[data-mobile-layout="two-columns"][data-media-total="1"] .media-gallery__list::before {
        width: 100%;
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"][data-media-total="2"] .media-gallery__item,
    .product-detail__media-gallery[data-mobile-layout="two-columns"][data-media-total="2"] .media-gallery__list::before {
        width: calc((100% - var(--gap, 0)) / 2);
    }

    .product-detail__media-gallery[data-mobile-layout="two-columns"]:not([data-init="true"]) .media-gallery__item.is-active+.media-gallery__item,
    .product-detail__media-gallery[data-mobile-layout="two-columns"]:not([data-init="true"]) .media-gallery__item.is-active+.media-gallery__item+.media-gallery__item {
        display: flex;
    }

    .product-detail__media-gallery[data-mobile-layout="hide-thumbnail"] .media-gallery__list {
        padding: 0 var(--padding-inline-start);
        scroll-padding-left: var(--padding-inline-start);
    }

    .product-detail__media-gallery[data-mobile-layout="hide-thumbnail"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="show-thumbnail"] .media-gallery__list {
        padding: 0 var(--padding-inline-start);
        scroll-padding-left: var(--padding-inline-start);
    }

    .product-detail__media-gallery[data-mobile-layout="show-thumbnail"] .media-gallery__dots,
    .product-detail__media-gallery[data-mobile-layout="show-thumbnail"] .media-gallery__arrows,
    .product-detail__media-gallery[data-mobile-layout="show-thumbnail"] .media-gallery__progress,
    .product-detail__media-gallery[data-mobile-layout="show-thumbnail"] .media-gallery__pagination {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="fullscreen"] .media-gallery__thumbnails {
        display: none;
    }

    .product-detail__media-gallery[data-mobile-layout="fullscreen"][data-media-total="1"] .media-gallery__item,
    .product-detail__media-gallery[data-mobile-layout="fullscreen"][data-media-total="1"] .media-gallery__list::before {
        width: 100%;
    }

    .product-detail__media-gallery[data-mobile-layout="fullscreen"]:not([data-init="true"]) .media-gallery__item.is-active+.media-gallery__item {
        display: flex;
    }
}

.product-media-preview::before {
    display: none;
}

.product-media-preview .modal__content {
    --modal-animation-name: animation-fade-in;

    inset-block: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    border: 0;
}

.product-media-preview__content {
    display: flex;
    flex: 1 0 0;
    flex-direction: column;
    gap: 20px;
    padding: 40px 250px;
    overflow: auto;
    scrollbar-width: auto;
    -ms-overflow-style: auto;
}

.product-media-preview__content::-webkit-scrollbar {
    display: initial;
}

@media (max-width: 959px) {
    .product-media-preview__content {
        flex-direction: row;
        padding: 0;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    .product-media-preview__content::-webkit-scrollbar {
        display: none;
    }
}

.product-media-preview__image {
    display: block;
    width: 100%;
    height: auto;
    transition: transform 0.2s;
    transform-origin: center;
}

@media (max-width: 959px) {
    .product-media-preview__image {
        max-height: 80%;
        object-fit: contain;
    }
}

.product-media-preview__media {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    overflow: hidden;
}

@media (max-width: 959px) {
    .product-media-preview__media {
        height: 100%;
        scrollbar-width: none;
        -ms-overflow-style: none;
    }

    .product-media-preview__media::-webkit-scrollbar {
        display: none;
    }
}

.product-media-preview__media::before {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    z-index: -1;
    display: block;
    width: 180%;
    height: auto;
    aspect-ratio: var(--aspect-ratio, 1);
    content: "";
}

.product-media-preview__media.zoom-in {
    overflow: auto;
}

.product-media-preview__media.zoom-in .product-media-preview__image {
    max-height: unset;
    margin-block-start: var(--offset-y, 0);
    margin-inline-start: var(--offset-x, 0);
    transform: scale(1.8);
}

.product-media-preview__arrows {
    display: flex;
    gap: 14px;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

@media (min-width: 960px) {
    .product-media-preview__arrows {
        display: none;
    }
}

.product-media-preview__arrow {
    display: flex;
    align-items: center;
    padding: 6px;
    line-height: 1;
    background: none;
    border: none;
}

.product-media-preview__arrow .icon {
    width: 10px;
    height: 10px;
}

.product-media-preview__arrow[name="previous"] .icon {
    transform: rotate(90deg);
}

.product-media-preview__arrow[name="next"] .icon {
    transform: rotate(-90deg);
}

.product-media-preview__status {
    display: flex;
    align-items: center;
    line-height: 1;
}

theme-product-expander {
    display: block;
}

.product-expander__content {
    position: relative;
    max-height: var(--expander-max-height);
    overflow: hidden;
}

.product-expander__content::after {
    position: absolute;
    inset-block-end: 0;
    inset-inline-start: 0;
    display: none;
    width: 100%;
    height: 40px;
    content: "";
    background: linear-gradient(180deg, rgba(var(--color-page-background), 0) 0%, rgb(var(--color-page-background)) 100%);
}

.product-expander__trigger {
    display: none;
    gap: 8px;
    align-items: center;
    margin-block-start: 10px;
    cursor: pointer;
}

.product-expander__trigger::before {
    content: attr(data-show-text);
}

.product-expander__arrow {
    width: 0.8em;
    height: auto;
    transition: transform 200ms;
}

theme-product-expander.is-active .product-expander__content::after {
    display: block;
}

theme-product-expander.is-active .product-expander__trigger {
    display: inline-flex;
}

theme-product-expander.is-open .product-expander__content {
    max-height: unset;
}

theme-product-expander.is-open .product-expander__content::after {
    display: none;
}

theme-product-expander.is-open .product-expander__trigger::before {
    content: attr(data-less-text);
}

theme-product-expander.is-open .product-expander__arrow {
    transform: rotate(180deg);
}

.product-detail__form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.product-detail__form .form__error-message {
    display: flex;
    gap: 4px;
    align-items: center;
    color: rgb(var(--color-tag-background));
}

.product-detail__form .form__error-message::after {
    content: attr(data-message);
}

.product-detail__form .form__buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.product-detail__form .form__buttons>*:empty {
    display: none;
}

@media (max-width: 959px) {
    .is-sticky>.product-detail__buy-buttons {
        position: fixed;
        inset-block-end: var(--fixed-bottom, 0);
        inset-inline-start: 0;
        z-index: var(--z-index-sticky);
        width: 100%;
        padding: 20px var(--page-padding);
        background-color: rgba(var(--color-background));
        border-block-start: 1px solid rgba(var(--color-text), 0.05);
        box-shadow: 0 0 40px rgb(0 0 0 / 8%);
        animation: animation-slide-in-bottom 0.3s;
    }
}

.product-detail-wrapper {
    background-color: rgba(var(--color-background, var(--color-page-background)));
}

.product-detail {
    background-color: rgba(var(--color-background, var(--color-page-background)));
}

.product-detail__row {
    --detail-row-gap: 10px;

    display: flex;
    flex-direction: column;
    gap: var(--detail-row-gap);
}

.product-detail__row--direction-row {
    flex-flow: row;
    align-items: center;
    justify-content: space-between;
}

.product-detail__row--direction-row .product-detail__row-main {
    flex: 1 0 0;
    justify-content: flex-end;
}

@media (min-width: 960px) {
    .product-detail__row--desktop-direction-row {
        flex-flow: row;
        align-items: center;
        justify-content: space-between;
    }

    .product-detail__row--desktop-direction-row .product-detail__row-main {
        flex: 1 0 0;
        justify-content: flex-end;
    }
}

@media (max-width: 959px) {
    .product-detail__row--mobile-direction-row {
        flex-flow: row;
        align-items: center;
        justify-content: space-between;
    }

    .product-detail__row--mobile-direction-row .product-detail__row-main {
        flex: 1 0 0;
        justify-content: flex-end;
    }
}

.product-detail__view-details {
    width: fit-content;
}

.product-detail__media-layer {
    position: absolute;
    inset: 0;
    z-index: 4;
    pointer-events: none;
}

.product-detail__media-layer * {
    pointer-events: auto;
}

#lf-quick-add-modal-content {
    padding-inline: var(--page-padding);
}

@media (min-width: 960px) {

    .product-detail[data-desktop-direction="row"] .product-detail__col,
    .product-detail__main[data-desktop-direction="row"] .product-detail__col {
        --col-width: calc(var(--detail-col-width) - (var(--detail-main-column-gap, var(--detail-column-gap, 0px)) / 2));

        flex: 0 0 var(--col-width);
        width: var(--col-width);
    }

    .product-detail[data-desktop-direction="row"] .product-detail__info--sticky,
    .product-detail[data-desktop-direction="row"] .product-detail__media-group--sticky,
    .product-detail__main[data-desktop-direction="row"] .product-detail__info--sticky,
    .product-detail__main[data-desktop-direction="row"] .product-detail__media-group--sticky {
        position: sticky;
        inset-block-start: var(--detail-padding-block-start, 0);
    }
}

/* ////////新增 */
.product-detail__variant-picker[data-size="large"] .variant-picker__option.variant-image__wrapper {
    width: 23%;
    height: auto;
    padding: 0;
    max-width: 140px;
}

.variant-picker__group-head {
    display: flex;
}

@media (max-width: 959px) {
    .product-detail__variant-picker[data-size="large"] .variant-picker__option.variant-image__wrapper {
        width: 30%;
        max-width: 140px;
    }
}

.product-detail__variant-picker[data-size="large"] theme-popover {
    display: block;
    width: 100%;
}

.product-detail__variant-picker[data-size="large"] .variant-picker__button--image {
    width: unset;
    height: unset;
    padding: 2px;
    width: 100%;
}

.product-detail__variant-picker[data-size="large"] .variant-picker__option.variant-image__wrapper .variant-picker__button--image {
    flex-direction: column;
    padding: 5px;
}

.gcw-txt--variant {
    display: none;
    background: #fcf3f5;
    padding: 8px 6px !important;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    text-align: center;
    width: 100%;
}

.gcw-txt--variant-name {
    color: #666;
    font-size: 12px;
    font-weight: 400;
    white-space: pre;
    overflow: hidden;
    text-overflow: ellipsis;
}